Atma Xplorer

Xploring Games, Computing, Photography

Install Signed 5.03 GEN-C on your PSP

Still on 5.03 and can’t get ChickHen R2 to run for you? Not to worry, with homebrew devs now able to sign their applications to run on OFW directly, PSP owners just like with 6.35 Hen using the Signed 6.35 Hen can now run Davee’s chickHen without you trying to make the TIFF hack work.  With the few steps listed below, you can also install  signed 5.03 HEN + 5.03 GEN-C on your PSP

Important UPDATE: If you are having trouble playing the latest PSP Games, you may want to install the Prometheus-4 module or use the ISO Tool Patching guide.

Requirements:

  • A PSP-3000 or PSP-2000 with TA-088v3 motherboard.
  • Signed 5.03 Hen. Download the specific file for your PSP model:
  • Download: 5.03 GEN-C
  • Back up your save files (so that if they get corrupted, you still have backups)

How to Install Signed 5.03 GEN-C

  • Extract the 5.03 Hen files to your computer.
  • Copy the resulting PSP folder directly on your memory stick or PSP Go storage
  • Go to your XMB, run the 5.03 Hen.  It will install then reboot to your XMB.  At this point, if you check your system’s current firmware version, it should give you 5.03 Hen
  • Extract the 5.03 GEN-C files to your computer.
  • Copy the PSP folder to your PSP’s memory stick. (Yes, just drag the whole folder there)
  • Disconnect the PSP from USB
  • Run 5.03 GEN-C Updater from under Game on your PSP’s XMB
  • After all process is complete, press X. Your PSP will reboot.
  • Congratulations, you’ve just installed 5.03 GEN-C.

Enjoy your Free PSP Games :) .

Simple right?

Important Note: If you want to play games that require 6.xx OFW and up, install 5.03 Prometheus.

Tags: , ,

Comments ( 96 )

Have Something To Say ?

  1. banban January 22, 2011 Reply

    is this a stable hack ???

    • sylv3rblade January 22, 2011 Reply

      Yes. It’s much easier than the old chickhen too.

      • banban January 22, 2011 Reply

        thanks a lot……my friend would be happier if he will know about this….

  2. uah January 22, 2011 Reply

    is this better or runs better than the 6.35 PRO with the japanese game exploit?

    • sylv3rblade January 22, 2011 Reply

      Not really, it’s just for people who don’t want to upgrade from 5.03 OFW. They’ll still need the prometheus module to make some games work though.

  3. Lusanagi January 23, 2011 Reply

    is there a reason not update from 5.03 yet? I’m just curious about it

    • sylv3rblade January 23, 2011 Reply

      As of now, the only firmware you don’t want to upgrade to is 6.37, everything else is safe.

      • Lusanagi January 23, 2011 Reply

        that means that 6.35 HEN can run current homebrew like gpsp or snes9x tyl?
        is 6.35 recommended over 5.03?

        • sylv3rblade January 23, 2011

          If you want the features of 6.xx, yes. Also you may want to take a look at (6.20 TN-C) as it’s more feature packed (from Total_Noob’s update) than 6.35

      • Lusanagi January 23, 2011 Reply

        oh yeah, I just read the entire post. I’ll be bothering you there :P

  4. banban January 30, 2011 Reply

    dude…… i installed this signed hen to my cousin’s psp 3000…..

    what if he shuts down his psp . . . the gen-c full will still be there ?…. or it will be gone…

    and i have to hack it again ????

    • sylv3rblade January 30, 2011 Reply

      You just need to run the signed 5.03 hen again

  5. Adrian January 31, 2011 Reply
  6. jemsu February 1, 2011 Reply

    it works! at long last :D

  7. ruel santiago February 3, 2011 Reply

    does the above download the same as 5.03 kxploit? wherein psp 3000 users with ofw 5.03 can just run 503 kxploit without bothering to run chicken from the image folder?

  8. highwind February 19, 2011 Reply

    does this work for all psp models?

    i have got a fully hackable psp2000 (slim v1.0 / ta-085) but “technically” it isnt really mine (but my girlfriends – she got it long time ago with a mobile-contract but using it rarely) and that is why i dont want to get a permanent cfw like the 5.50 GEN.

    i always used chickHEN R2 / MHUSPEED3 to get into hen-mode and just wonder if this signed 5.03 HEN is the better way do to it?

  9. jerry February 22, 2011 Reply

    i have a psp3000(3) with v4.21. Can i just follow this tutorial directly by placing the files

    • sylv3rblade February 22, 2011 Reply

      You need to update to 5.03 first before proceeding with the guide. Follow the procedures on how to update here then go back to this page and follow the instructions above :).

  10. jerry February 22, 2011 Reply

    btw, i read about prometheus, whats that?\
    sorry im a newb D:

  11. agod February 22, 2011 Reply

    I have v5.03 and i have just followed the hen bit. when i run the kxploit from game, instead of going back to the XMB, it just shuts off my psp o.o

    • ar12851 March 2, 2011 Reply

      same thing happens to my psp, it just shuts off. i tried doing it again but still nothing happens. my system’s current firmware version is still 5.03. :(

  12. Ron March 3, 2011 Reply

    Only upgraded now! LOL :D

  13. Just Cav March 28, 2011 Reply

    My PSP is a 2001 with a TA-088v3 motherboard and has been updated to 6.37 OFW. It has never had any sort of CWF installed onto it. Is there any method I can use to downgrade the firmware or otherwise make my PSP CFW compatible again?

    • sylv3rblade March 28, 2011 Reply

      There’s currently no way to downgrade your PSP. You can install the HBL for 6.37 but you can’t use it to run the Prometheus ISO loader (meaning you can’t run ISO games off it)

  14. chrisj_15 April 5, 2011 Reply

    It works! Thanks a million for making my life easier.

  15. chrisj_15 April 5, 2011 Reply

    But wait, When I check the custom firmware version, It already says 5.03 GEN-C (Full) so do I still have to load the 5.03 GEN-C updater? But my PSP is fine, thank you.

    • sylv3rblade April 5, 2011 Reply

      If your PSP says 5.03 GEN-C for the firmware, then you’re done :)

  16. nevermementomori April 12, 2011 Reply

    hi sir….ive tried everything….but even this one doesnt work what am i doing wrong? i updated my software to 5.03 from 5.01 and followed every tip from pressing up down l button so on and so fort and still not working…i got a psp 3001 model…..please help me

  17. SpinalTapp April 23, 2011 Reply

    I am running from a mac. Every time i try downloading the 5.03 firmware from my PSP it goes into reset and then powers off. When I turn it back on I still have firmware 6.20 which will not work for the proceeding steps. Do you know what I’m doing wrong?

  18. Siao May 10, 2011 Reply

    Ok im really confused I’ve never installed any cfw on my psp and was wondering if I could put this on my psp 3001 with 6.37 Ofw any help if not thank you anyways.

    • sylv3rblade May 10, 2011 Reply

      There currently is no way to install CFW on a PSP with 6.37 or downgrade it to any OFW than can. Wait for the release of any other Hen’s, HBL.

  19. RED June 3, 2011 Reply

    will this work with psp 1001 with 5.03

  20. freak June 11, 2011 Reply

    if i have a 5.03 signed xploit,do i need to download and upgrade to 5.03?or am i just go to the step wherein im going to the step process wherein 5.03gen C??please reply..asap..thanks..

    • sylv3rblade June 11, 2011 Reply

      You’re already on 5.03 OFW so you don’t need to “upgrade/downgrade”. Just replace the files for 5.03 GEN-C with the signed ones.

  21. apothesis June 17, 2011 Reply

    Hi Sylv3rblade… I hope you are still providing support. I upgraded my psp 2000 from ofw 4.05 to ofw 5.03. I can’t run chicken r2, the 5.03 exploit just makes the psp turn off. I also tried using the magic stick but the screen just goes blank then the psp turns off. What can I do to get cfw working on the psp which currently has ofw 5.03.

    • sylv3rblade June 18, 2011 Reply

      This guide doesn’t use chickHen (the older one linked here does). Have you tried this guide yet?

  22. apothesis June 18, 2011 Reply

    I tried using the guide that says I need the chicken hen r2, but that didn’t work. So I then tried this guide which says doesn’t need the chicken hen r2, but it also didn’t work. i also tried the magic memory card with the pandora battery, but the psp goes to a gray screen then just turns off. I don’t know what else to do.

    • sylv3rblade June 18, 2011 Reply

      What happens when you try installing signed 5.03 GEN-C?

  23. apothesis June 18, 2011 Reply

    When I put the 5.03 hen c, I can see the ladybug and when I press the X, I get a message that says game cannot be started. The data is corrupted.

  24. apothesis June 18, 2011 Reply

    okay I tried the chicken hen r2 and this time it worked, it now has 5.03 chickhen r2 as the firmware.

  25. apothesis June 18, 2011 Reply

    Now the psp has 5.03 gen-c (full). I am following the guide that uses the chicken hen r2.

  26. apothesis June 18, 2011 Reply

    Is the next step to install prometheus-4 module for 5.03 c, or do i need to update to 5.03 d or something else?

    • sylv3rblade June 18, 2011 Reply

      Yep, you can update install prometheus-4, there is no 5.03 GEN-D

  27. apothesis June 18, 2011 Reply

    Do I have to leave on the memory card the h.bin file and the giff files as well as there was a file created on the main root of the memory card that is egghunt, can I format the card and erase everything, or do the files have to stay there?

    • sylv3rblade June 18, 2011 Reply

      Keep it there. 5.03 GEN-C still needs them if you accidentally turn off your PSP.

  28. apothesis June 19, 2011 Reply

    Thanks Sylv3rblade… I can turn off the psp and it remains with the cfw, its only when i remove the battery that the psp goes back to the ofw. Also when i install the promethus-4 module on the psp it says that the system software is 5.03 Prome-3 is that the same thing?

    • sylv3rblade June 19, 2011 Reply

      Nope. There’s no permanent patch for 5.03 GEN-C so you really have to re-run the installer after having your PSP power off.
      Yes, prome-4 is just a patched prome-3 so it’ll work with some of the newer games like Monster Hunter Portable 3rd.

  29. RonR June 19, 2011 Reply

    I have a PSP 3004, it has had version 5.03 firmware since i bought it.

    I tried to install 5.03 hen, the psp just turns off. When i turn it on, the firmware is still 5.03.

    What am I doing wrong?

  30. apothesis June 20, 2011 Reply

    Sylv3rblade… I am able to play a homebrew game as well as run the nintendo emulater but the psp won’t play any of the iso games. Is there a setting I need to change. I can see the games and it plays the song of the games in the menu, it just won’t play the game. I get a message that says “The game could not be started. (80020321). To refresh your memory, I installed chiken hen r2 then the 5.03 gen-c followed by the promethius 4 module.

    • sylv3rblade June 20, 2011 Reply

      Press select to enter the VSH menu, change the UMD mode to a different driver

  31. apothesis June 20, 2011 Reply

    Thanks Sylv3rblade… I changed it to m33 driver and it works great. Awsome. I bought another psp from Ebay and it is a 2000 series and it has system software 5.00 m33-4 on it, I tried downloading the 5.00 m33-5 and the 5.00 m33-6 but both files are not available anymore for download. Can you please upload those files again, or should I try to install gen d3?

  32. leogar June 24, 2011 Reply

    can 5.03MHU be upgraded to 5.03 gen.c and onwards because some games are not supported.

    • sylv3rblade June 24, 2011 Reply

      Yep. Just unload 5.03 MHU and run the signed GEN-C installer

  33. LILR45 July 28, 2011 Reply

    IM trying to get this to work i have the 6.39 update i tried this but all it says is the game cannot be started data is corupted i really need help. thanks if you could

  34. Kurir September 12, 2011 Reply

    Hey, I am looking to crack two psp’s in the near future. First is a 3002, not sure of the motherboard, with 6.60 ofw. Is there a safe way to downgrade it so that I can crack it/is it crackable? The other will be a latest release 3002 with factory firmware, likely to be 6.00 or higher.

    Any suggestions would be appreciated,

    Kurir

  35. davidmeme2 October 2, 2011 Reply

    ok so i have a psp 3000 with 6.60 OFW.

    i installed 6.6O PRO-B9 LCFW

    then i tried to run the 5.03 Hen. first of all, in the XMB menu, it shows up as “503 kxploit”. not sure if thats of or not.

    so i run that, and then i get a black screen, and then the psp turns off, and i have to turn it on.

    when i check the sys info, it says that firmware is 6.60 again, right where i started… plz help

    • davidmeme2 October 2, 2011 Reply

      also, i dont need a pandora battery for this, do i?

    • sylv3rblade October 2, 2011 Reply

      You won’t be able to install this because you’re on a higher firmware version.

  36. Hrist October 21, 2011 Reply

    Hi sylv3rblade,

    I installed as instructed (HEN, GEN-C, PROMETHEUS). But my cso and iso games still aren’t appearing. Do you have any idea how to fix this?

    My firmware version is 5.03. Hope you could help. Thanks.

  37. quikstrike6 October 25, 2011 Reply

    sir, data is corrupted, psp 3001 5.50 OFW.

    • sylv3rblade October 25, 2011 Reply

      You can’t install 5.03 GEN-C because your current firmware his higher than 5.03 OFW.

      The only recourse is:

      1. Get a Pandora Battery and downgrade.
      2. Upgrade to 6.XX and install the equivalent Pro-B9 LCFW.

  38. quikstrike6 October 25, 2011 Reply

    can you make a pandora battery from a fat psp battery? downgrade to what FW?

  39. quikstrike6 October 25, 2011 Reply

    can you still use a pandora battery like a regular psp battery?

  40. Panagiota November 4, 2011 Reply

    hi all i found this very help full , i am not familiar with psp a lot , is my boyfriends :) and he had never manage to install the old chicken steps etc, still got 5.01 ver and i am tring to fix this as a present, so i have follow the above steps , but when i enter to the memory via XMB, run the 5.03 kxploit then press the x or start it shows sony logo and then it stays off , so what am i doing wrong ?

    • sylv3rblade November 4, 2011 Reply

      You need to upgrade to 5.03 before installing 5.03 GEN-C. Follow the guide as indicated above.

  41. Pantheon November 7, 2011 Reply

    I’m afraid I am quite stuck. Sorry that I have to ask but: I have a psp-2003 with the two starting digits of the serial underneath the battery being HB. Any attempt at chickhen results in a freeze followed by my psp turning off. I’ve tried the R2 one and the signed one and both produce the same outcome. I’ve tried resetting information, changing the theme, a different memory stick and changing the character set. All while having the two UMD options set to off. Am I missing anything or is something wrong? :(

    • sylv3rblade November 7, 2011 Reply

      Are you on 5.03 OFW? The installer will not work on any other firmware.

  42. Pantheon November 11, 2011 Reply

    I have a PSP-1000 and a pandora battery though I am not sure whether either would be useful for my problem.

  43. ferucha December 5, 2011 Reply

    the sticker on my psp says 3001, does it work for my psp?

  44. Rhedge January 8, 2012 Reply

    i have a problem here. When i used this at first it worked… but when my psp died everything is gone. and if i try using the Hen again it will just show the psp screen then black then turns of my psp. I need help

    btw this was great untilthis happened :)) but yes i got it working

  45. glenn May 4, 2012 Reply

    i’m using a t88v3, at 5.03, but everytime i load the 503-kxploit gen c , it crashes. anything i shld do?

  46. tapit May 7, 2012 Reply

    Go to your XMB, run the 5.03 Hen. It will install then reboot to your XMB. At this point, if you check your system’s current firmware version, it should give you 5.03 Hen

    help me please
    where to run the 5.0.3 hen
    i am kinda lost…

  47. Tianrens August 25, 2012 Reply

    when i go to recovery menu, i choose plugins but something else comes up. is this normal?

  48. @-@ October 26, 2012 Reply

    can i use this for psp-1006?

    • sylv3rblade October 28, 2012 Reply

      Yes but it really depends on your current firmware version

  49. Joey December 17, 2012 Reply

    the ink for Gen-C doesnt work. is there another link? i downloaded the Hen for 3000 just need the Gen C. thank you

    • sylv3rblade December 18, 2012 Reply

      I’ll reupload but you may want to checkout other CFWs for newer firmwares since they’re more compatible with current games and homebrew apps/plugins

  50. Karl December 29, 2012 Reply

    Hey sylv3rblade.. it’s nice stuff you got here. anyway,my psp2000 (5.03, I used to have chickhenr2 and all files relevant to that are still on the mem stick). when i use the k3xploit. the psp just turns off. any ideas?

  51. Aya Sofya June 5, 2013 Reply

    I have few questions about this 5.03 Gen-C and I would be totally happy if you could answer my questions. And I am so sorry because I am a noob in this kind of things and I’ just interested in PSP just recently when my brother is away and he forgot to bring his PSP.

    The problem is the PSP cannot reboot. Normally when the games cannot be played and it says that the data is corrupted I will go to photos and wait for the screen to go green. but yesterday I tried to put CW cheats plugin and I could not access recovery mode by pressing R button. even though i pressed several times nothing happened nor when i pressed select. That was when things went wrong. I cannot reboot it. I have tried rebooting several times in vain.

    On the system information it says the version is 5.03 and I think the psp model is psp 3000. I have read lots of article but I am very confused. Please help me because I am so afraid that my brother would be so mad when seeing his psp in this messy state and now I am at my wit’s end. I really don’t know what to do.

    Thank you.

    • sylv3rblade June 7, 2013 Reply

      Yes, that’s one of the issues with earlier CFWs for PSP-2000s and above. You’ll just need to run the installer again to load 5.03 GEN-C (or what ever current CFW you have on your PSP) to reload it.

      • Aya Sofya June 8, 2013 Reply

        Problem solved. Thank you for the reply and for the article :D

Leave a Reply

website stats